import { useState, useEffect } from 'react'
import Taro from '@tarojs/taro'
import { useSelector } from 'react-redux'
import withLayout from '@/layout'
import { ScrollView, Input, Image, Block, Textarea } from '@tarojs/components'
import { getImgURL } from '@/utils/image'
import { fetch, uploadFiles } from '@/utils/request'
import { UPDATE_USER_INFO, ROLE_CODE } from '@/constants/user'
import { API_EDIT_AGENT, API_UPDATE_PHOTO } from '@/constants/api'
import store from '@/store'
import '@/assets/css/iconfont.css'
import './index.scss'

export default withLayout((props) => {

  const {onChanel =()=>{}} =props
  const [FormData, setFormData] = useState({
    name: '',
    phone: '',
    description: ''
  })



  const Save = () => {

  }

  const FormChange = (key, e) => {
    let Data = { ...FormData }
    Data[key] = e.detail.value
    setFormData(Data)
  }



  return (
    <view className='Page UserInfo'>

      <ScrollView scroll-y>
        <view className='PageContent'>

          <text>客户信息</text>
          <view className='FormLine flex-h'>
            <view className='flex-item'>
             张三
            </view>
          </view>

          <text>成交信息房源</text>
          <view className='FormLine flex-h'>
            <view className='flex-item'>
            张三
            </view>
          </view>

          <text>成交总价</text>
          <view className='FormLine flex-h'>
            <view className='flex-item'>
             张三
            </view>
          </view>

          <text>成交日期</text>
          <view className='FormLine flex-h'>
            <view className='flex-item'>
            张三
            </view>
          </view>

          <text>当前状态</text>
          <view className='FormLine flex-h'>
            <view className='flex-item'>
             张三
            </view>
          </view>

          <text>总佣金</text>
          <view className='FormLine flex-h'>
            <view className='flex-item'>
            张三
            </view>
          </view>

          <text>已结佣金</text>
          <view className='FormLine flex-h'>
            <view className='flex-item'>
             张三
            </view>
          </view>

          <text>本次结佣</text>
          <view className='FormLine flex-h'>
            <view className='flex-item'>
              <Input placeholder='请输入金额' disabled value={FormData.phone} onInput={FormChange.bind(this, 'phone')}></Input>
            </view>
          </view>

        </view>

        <view className='Btn'>
        
          <text onClick={()=>onChanel()} >返回</text>
          <text >确定</text>
        </view>
      </ScrollView>

    </view>
  )
})
