import { useState, useEffect } from 'react'
import { useSelector } from 'react-redux'
import { useRouter } from '@tarojs/taro'
import { ScrollView } from '@tarojs/components'



import Item from './Item'

import './index.scss'

export default function MyCollectForActivity () {

 const router=useRouter()
   const { type,buildingId } = router.params;

  

  const [PageList, setPageList] = useState([{},{},{},{},{},{},{},{},{},{}])
  const [IsPull, setPull] = useState(false)

  const [pageNumber, setPageNumber] = useState(1)
  const [HasNextPage, setHasNextPage] = useState(true)


  useEffect(() => {
    if(pageNumber) {
    //   GetPageList()
    }
  }, [pageNumber])

  const PageRefresh = () => { // 页面下拉刷新回调
    // setPull(true)
  }

  const GetPageList = () => {
    setHasNextPage(false)
   
  }

  const PageLoadMore = () => { // 页面上拉加载更多
    if(HasNextPage) {
      setPageNumber(pageNumber + 1)
    }
  }

  useEffect(() => { // 下拉刷新触发
    // if (IsPull) {
    //   if(pageNumber === 1) {
    //     GetPageList()
    //   } else {
    //     setPageNumber(1)
    //   }
    // }
  }, [IsPull])

  return (
    <view className='components myWalletList'>
      <ScrollView scroll-y  refresher-triggered={IsPull}  onscrolltolower={PageLoadMore} refresher-background='#fff'>
        <view className='PageContent'>
          <view className='List'>
            {
              PageList.map((item, index) => (
                <Item data={item} key={`myWalletList-${index}`}></Item>
              ))
            }
          </view>

          {/* bottom */}
          <view className='PageBottom'>
            <text>已经到底了~</text>
          </view>
        </view>


      </ScrollView>
    </view>
  )
}
